// FILEIO.H
// Header file for reading data files describing polygonal objects.
//
// Gregory Ecker
// Graphics Programming
// Prof. Velho
// 8/7/94
// version 1.0

#ifndef _FILEIO_H
#define _FILEIO_H

#include <stdlib.h>
#include <stdio.h>
#include <conio.h>

#include "commdefs.h"
#include "matrix.h"
#include "point.h"
#include "polygon.h"
#include "clipline.h"
#include "graph.h"

void ReadGraphFileData3dv(FILE* filehandle,graph*,int);
int ReadNumPolygons(FILE* filehandle);
FILE* OpenDataFile(FILE* ,const char*, const char*);
void DisplayPolyData(polygon*);
void ReadPolyFileData(FILE *filehandle,polygon *curpoly);
void ReadPolygonList(FILE* ,polygon ** ,int& );
#endif